Bug 227881 - REGRESSION (r279806): [ iOS/macOS ] Multiple Canvas tests flaky crash, flaky fail
Summary: REGRESSION (r279806): [ iOS/macOS ] Multiple Canvas tests flaky crash, flaky ...
Status: NEW
Alias: None
Product: WebKit
Classification: Unclassified
Component: Text (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Eric Hutchison
URL:
Keywords: InRadar
: 227890 227929 228034 228131 (view as bug list)
Depends on:
Blocks:
 
Reported: 2021-07-12 11:38 PDT by Eric Hutchison
Modified: 2021-07-26 17:10 PDT (History)
9 users (show)

See Also:


Attachments
Update Test Expectations (1.35 KB, patch)
2021-07-12 14:10 PDT, Eric Hutchison
no flags Details | Formatted Diff | Diff
Patch (1.33 KB, patch)
2021-07-14 16:26 PDT, ayumi_kojima
no flags Details | Formatted Diff | Diff
Update Test Expectations (1.38 KB, patch)
2021-07-16 14:13 PDT, Eric Hutchison
no flags Details | Formatted Diff | Diff
Update Test Expectations (1.45 KB, patch)
2021-07-16 14:24 PDT, Eric Hutchison
ews-feeder: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Hutchison 2021-07-12 11:38:07 PDT
fast/canvas/canvas-overloads-strokeText.html

is a flaky crash on iOS.

History: https://results.webkit.org/?suite=layout-tests&test=fast%2Fcanvas%2Fcanvas-overloads-strokeText.html&platform=ios

Crash Log:

No crash log found for com.apple.WebKit.WebContent.Development:29054.

stdout:

stderr:
com.apple.WebKit.WebContent.Development terminated (pid 29054) because the process crashed
Comment 1 Radar WebKit Bug Importer 2021-07-12 11:40:49 PDT
<rdar://problem/80473805>
Comment 2 Eric Hutchison 2021-07-12 14:10:38 PDT
Created attachment 433359 [details]
Update Test Expectations
Comment 3 Simon Fraser (smfr) 2021-07-12 14:36:31 PDT
It's important that we file a bug on the crash itself with more info.
Comment 4 Robert Jenner 2021-07-12 15:15:41 PDT
Comment on attachment 433359 [details]
Update Test Expectations

Clearing flags on attachment: 433359

Committed r279853 (239607@main): <https://commits.webkit.org/239607@main>
Comment 5 Eric Hutchison 2021-07-12 16:16:46 PDT
Reproduced crash on r279831 with run-webkit-test --iOS-simulator --iterations 200 --exit-after-n-failures 1 --exit-after-n-crashes-or-timeouts 1 --debug-rwt-logging --no-retry --force --no-build -f  fast/canvas/canvas-overloads-strokeText.html. 

Crash-log.txt contains: 

No crash log found for com.apple.WebKit.WebContent.Development:5872.

stdout:

stderr:
com.apple.WebKit.WebContent.Development terminated (pid 5872) because the process crashed

.stderr.text contains: com.apple.WebKit.WebContent.Development terminated (pid 5872) because the process crashed

reproduced crash on r279806 with same command as above.

Crash log text: No crash log found for com.apple.WebKit.WebContent.Development:7250.

stdout:

stderr:
com.apple.WebKit.WebContent.Development terminated (pid 7250) because the process crashed

Stderr text: com.apple.WebKit.WebContent.Development terminated (pid 7250) because the process crashed

Test did not crash on r279805.
Comment 7 ayumi_kojima 2021-07-14 16:26:18 PDT
Created attachment 433538 [details]
Patch
Comment 8 ayumi_kojima 2021-07-14 16:26:44 PDT
Updating test expectations for MacOS wk2

I was able to reproduce the crash using run-webkit-tests fast/canvas/canvas-overloads-strokeText.html --iterations 500  --exit-after-n-crashes-or-timeouts 2
Comment 9 Robert Jenner 2021-07-14 16:38:09 PDT
Comment on attachment 433538 [details]
Patch

Clearing flags on attachment: 433538

Committed r279932 (239677@main): <https://commits.webkit.org/239677@main>
Comment 10 Eric Hutchison 2021-07-16 14:01:49 PDT
This regression also impacts inspector/canvas/requestClientNodes-css.html as a flaky timeout. Adding it here and updating test expectations.

Diff: 

--- /Volumes/Data/worker/bigsur-release-applesilicon-tests-wk2/build/layout-test-results/inspector/canvas/requestClientNodes-css-expected.txt
+++ /Volumes/Data/worker/bigsur-release-applesilicon-tests-wk2/build/layout-test-results/inspector/canvas/requestClientNodes-css-actual.txt
@@ -1,13 +1,5 @@
-Test that CanvasAgent tracks changes in the client nodes of a CSS canvas.
+#PID UNRESPONSIVE - WebKitTestRunner (pid 13414)
+FAIL: Timed out waiting for notifyDone to be called
 
-
-== Running test suite: Canvas.requestClientNodes.CSS
--- Running test case: Canvas.requestClientNodes.CSS.Create
-PASS: Canvas with created client should have CSS name "css-canvas".
-PASS: There should be one client node.
-PASS: Client node "div" is valid.
-
--- Running test case: Canvas.requestClientNodes.CSS.Destroy
-PASS: Canvas with destroyed client should have CSS name "css-canvas".
-PASS: There should be no client nodes.
-
+#EOF
+#EOF
Comment 11 Eric Hutchison 2021-07-16 14:13:43 PDT
Created attachment 433702 [details]
Update Test Expectations
Comment 12 Eric Hutchison 2021-07-16 14:24:24 PDT
Created attachment 433704 [details]
Update Test Expectations
Comment 13 Robert Jenner 2021-07-16 14:37:55 PDT
History link "inspector/canvas/requestClientNodes-css.html":

https://results.webkit.org/?suite=layout-tests&test=inspector%2Fcanvas%2FrequestClientNodes-css.html
Comment 14 Robert Jenner 2021-07-16 14:42:58 PDT
Comment on attachment 433704 [details]
Update Test Expectations

Clearing flags on attachment: 433704

Committed r280002 (239744@main): <https://commits.webkit.org/239744@main>
Comment 15 Ryan Haddad 2021-07-21 10:04:58 PDT
*** Bug 227929 has been marked as a duplicate of this bug. ***
Comment 16 Ryan Haddad 2021-07-21 10:11:21 PDT
*** Bug 227890 has been marked as a duplicate of this bug. ***
Comment 17 Ryan Haddad 2021-07-21 10:11:59 PDT
*** Bug 228034 has been marked as a duplicate of this bug. ***
Comment 18 Eric Hutchison 2021-07-21 11:10:17 PDT
Update test expectations for https://bugs.webkit.org/show_bug.cgi?id=227881 in https://trac.webkit.org/changeset/280150/webkit.
Comment 19 Eric Hutchison 2021-07-21 11:11:17 PDT
Test is inspector/canvas/recording-webgl-snapshots.html
Comment 20 Eric Hutchison 2021-07-21 11:53:21 PDT
inspector/canvas/recording-2d-memoryLimit.html and inspector/canvas/recording-2d-full.html crashing due to this regression.

Updated test expectations to skip these tests at https://trac.webkit.org/changeset/280152/webkit.
Comment 21 Eric Hutchison 2021-07-22 09:12:17 PDT
*** Bug 228131 has been marked as a duplicate of this bug. ***
Comment 22 Eric Hutchison 2021-07-26 17:10:24 PDT
inspector/canvas/recording-bitmaprenderer-memoryLimit.html is also affected by this bug.